Bug 219 - should use OS supplied expat library by default.
Summary: should use OS supplied expat library by default.
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Build/Monolithic (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Default Bug Report Assignee
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 213
  Show dependency treegraph
 
Reported: 2004-02-25 09:35 UTC by Jim Gettys
Modified: 2011-10-15 15:46 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Gettys 2004-02-25 09:35:47 UTC
Again, expat is often installed up stream, so it should not be used
by default.

This should be release noted as well, documenting a know to work version.
Comment 1 Egbert Eich 2004-03-02 04:38:46 UTC
System Expat is currently used by Cygwin and SCO.
I've created a preliminary Release note and will add Linux to the list
of systems that use the OS provided version by default. Tell me which
other OSes I should add.
Comment 2 Mike A. Harris 2004-03-05 00:27:38 UTC
I just examined current sources and it appears to me that HasExpat should
be enabled on Linux OS by default now in linux.cf.  I believe you did the
updates Egbert, could you comment on wether all OS defaults are correct
for HasExpat or not and close this if you believe it is complete?

Thanks
Comment 3 Egbert Eich 2004-03-05 10:59:11 UTC
Check RELNOTES.XORG for a list of OSes where it is the default.
I'm still waiting for people to tell me on which versions it
should not be default. Also I can make it default on more systems
if I'm told that this is feasable.
I will close this for now. If anyone wants to add systems create
a new bug.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.